---
lang: en
title: 'API docs: rest.regexprouter.addroutewithpathvars'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.regexprouter.addroutewithpathvars.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RegExpRouter](./rest.regexprouter.md) &gt; [addRouteWithPathVars](./rest.regexprouter.addroutewithpathvars.md)

## RegExpRouter.addRouteWithPathVars() method

**Signature:**

```typescript
protected addRouteWithPathVars(route: RouteEntry): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  route | [RouteEntry](./rest.routeentry.md) |  |

**Returns:**

void


